Skip to main content

Interface: ChatCreate

Input for creating a chat via POST /chats (strict — id/title/type required).

Properties​

id​

id: string


metadata?​

optional metadata?: StringMap


owner?​

optional owner?: User & object

Chat owner. The owner is attached as a participant too, so it may carry per-chat rights overrides (unlike rights in participants[], which are ignored for the owner).

Type Declaration​

rights?​

optional rights?: object

rights.can_press_buttons?​

optional can_press_buttons?: boolean | null

rights.create_pool?​

optional create_pool?: boolean | null

rights.delete_messages?​

optional delete_messages?: "none" | "my" | "any" | null

rights.edit_messages?​

optional edit_messages?: "none" | "my" | "any" | null

rights.kick_users?​

optional kick_users?: boolean | null

rights.leave_chats?​

optional leave_chats?: boolean | null

rights.participate_pool?​

optional participate_pool?: boolean | null

rights.pin_messages?​

optional pin_messages?: "none" | "for_me" | "for_everyone" | null

rights.react_messages?​

optional react_messages?: boolean | null

rights.send_audio?​

optional send_audio?: boolean | null

rights.send_documents?​

optional send_documents?: boolean | null

rights.send_location?​

optional send_location?: boolean | null

rights.send_messages?​

optional send_messages?: boolean | null

rights.send_photos?​

optional send_photos?: boolean | null

rights.send_read_state?​

optional send_read_state?: boolean | null

rights.send_typing?​

optional send_typing?: boolean | null

rights.send_voices?​

optional send_voices?: boolean | null

rights.track_presence?​

optional track_presence?: boolean | null

rights.track_read_state?​

optional track_read_state?: boolean | null


title​

title: string


type​

type: ChatType